<?php
require_once(SYSTEM_LOGICS . 'exchange_rate/logic.php');

class ControlExchangeRate extends LogicExchangeRate {

	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		try {
		    $this -> checkAvailability("system", function(){
		        require_once($this -> getSystemHTML('TEMPLATE_MAINTENANCE_MODE_SYSTEM_PATH'));
		        exit();
		    });
			// アクション実行
			$this -> logic();

			if($this -> getType() == TYPE_EXPORT){
				header('Content-Type: application/octet-stream');
				header('Content-Disposition: attachment; filename=Exchange_Rate' . date('mdYHis') . '.csv');
				header('Content-Transfer-Encoding: binary');
				echo "\xEF\xBB\xBF";
				echo $this -> getExportDataCommon();
			}else{
				require_once($this -> getSystemHTML('TEMPLATE_EXCHANGE_RATE_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {
			header('Location: /');
		}
	}
}
?>
